Page Summary
-
The
MutateAdGroupCriteriaRPC is used to create, update, or remove criteria for ad groups, returning operation statuses. -
This method can throw a variety of errors related to ad group criteria, authentication, authorization, bidding, and other system-level issues.
-
The
MutateAdGroupCriteriaoperation requires thehttps://www.googleapis.com/auth/adwordsOAuth scope for authorization.
Creates, updates, or removes criteria. Operation statuses are returned.
List of thrown errors: AdGroupCriterionError AdxError AuthenticationError AuthorizationError BiddingError BiddingStrategyError CollectionSizeError ContextError CriterionError DatabaseError DateError DistinctError FieldError FieldMaskError HeaderError IdError InternalError MultiplierError MutateError NewResourceCreationError NotEmptyError NullError OperationAccessDeniedError OperatorError PolicyViolationError QuotaError RangeError RequestError ResourceCountLimitExceededError SizeLimitError StringFormatError StringLengthError UrlFieldError
HTTP request
POST https://googleads.googleapis.com/v21/customers/{customerId}/adGroupCriteria:mutate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "operations": [ { object ( |
| Fields | |
|---|---|
operations[] |
AdGroupCriterionOperation) |
partialFailure |
|
responseContentType |
ResponseContentType) |
validateOnly |
|
Response body
Response message for an ad group criterion mutate.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "partialFailureError": { object ( |
| Fields | |
|---|---|
partialFailureError |
Status) |
results[] |
MutateAdGroupCriterionResult) |
- Authorization scopes
-
Requires the following OAuth scope:
https://www.googleapis.com/auth/adwords
For more information, see the OAuth 2.0 Overview.